// pages/duty/index/index.js
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    topBarH: app.globalData.CustomBar,
    currentIndex: 0,
    tabs: [{
      lab: '今日工作'
    }, {
      lab: '历史工作'
    }],
    list: [],
    dateFilter: ''
  },

  /**
   * 选择菜单
   */
  tabSelect: function (params) {
    this.data.currentIndex = params.currentTarget.dataset.index;
    this.setData(this.data)
  },

  /**
   * 时间筛选
   */
  bindDateChange: function (params) {
    this.data.dateFilter = params.detail.value;
    this.setData(this.data);
  },

  /**
   * 获取日志列表
   */
  getList: function () {
    app.axios("GET", "app", "/performDuties/factorList", {
      userId: app.globalData.userInfo.userId
    }, false).then(res => {
      if (res.code == 1) {
        this.data.list = res.data;
        this.data.list.forEach(item => {
          item.rote = (item.factorNum / item.factorTotal * 100).toFixed(0)
        })
        this.setData(this.data)
      }
    })
  },

  /**
   * 详情
   */
  toDetail: function (params) {
    const item = params.currentTarget.dataset.item;
    wx.navigateTo({
      url: '/pages/t-j/g-z-r-z/detail/index',
      success: res => {
        res.eventChannel.emit('getItemId', item.listfactorid)
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getList();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})